System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

There is no developer advantage to creating your own designer derived from . To enhance the design-time experience for a custom control, derive your control from and your designer from . In that case, you would not use an .ascx file for your ASP.NET markup.

Provides designer functionality for user controls.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added.

  This implementation creates two objects in the collection: Edit User Control and Refresh.

  Gets the action list collection for the user control designer.

- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the user control can be resized.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added.

  Gets the HTML markup that is used to represent the user control at design time.

  The markup that is used to represent the control at design time.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added.

  This member overrides .

  The persistable inner HTML markup of the control.

  1.0.5000.0
- Property
  System.Boolean To be added. To be added.

  This member overrides .

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Code serialization is not supported in 2.0 anymore")